C
C This file is issued from the MODULEF library, but has been 
C subsequently modified
C
      SUBROUTINE FONSAV(BUFF1)
      CHARACTER*256 BUFF1,BUFF2
      INTEGER MBUFF(18)
      COMMON /COMCOU/ NCOU,IACOU,LCOU,NFIC,NBENR,LGCOU
C
      BUFF2 = ' '
      I2 = 0
      DO 100 I1 = 1,256
         IF (BUFF1(I1:I1) .EQ. ' ') GOTO 100
         I2 = I2 + 1
         BUFF2(I2:I2) = BUFF1(I1:I1)
  100 CONTINUE
      IF ( I2 .GE. 3 ) THEN
         IF ( BUFF2(I2-2:I2) .EQ. 'FIN') I2 = I2 - 3
      END IF
      IF (I2.EQ.0) RETURN
      READ (BUFF2,'(18A4)') MBUFF
      L = (I2+3) / 4
      WRITE (NFIC) L,(MBUFF(I),I=1,L)
      NBENR = NBENR + 1
      LGCOU = LGCOU + L + 1
      END
